ማረጋገጫ
የኤፒአይ ቁልፍ (API key) እንደ ቢረር ቶከን (bearer token) ይላኩ። ይህ የመጨረሻ ነጥብ (endpoint) በመግለጫው ውስጥ የተወሰነ ፈቃድ አልገለጸም፣ ስለዚህ ከማሰብ ይልቅ ለቁልፍዎ የሚያስፈልገውን አነስተኛ ፈቃድ ይስጡት እና ምላሹን ያረጋግጡ።
የድርጅትዎ መታወቂያ የሚገባበት ቦታ
ይህ ማቆሚያ ነጥብ (endpoint) org_idን በJSON አካል ውስጥ እንደ ሜዳ ይወስዳል።
የድርጅትዎ መለያ ቁጥር (ID) በዳሽቦርድዎ ላይ በሚገኙት የኤፒአይ ቁልፎች (API keys) ማያ ገጽ ላይ ከቁልፉ አጠገብ ይገኛል። በሚያደርጉት እያንዳንዱ ጥያቄ ላይ የሚጠቀሙበት መለያ ቁጥር አንድ አይነት ነው።
ሞክሩት
በቅንፍ ውስጥ ያለውን ማንኛውንም ነገር በራስዎ እሴቶች ይተኩ፣ እና ቁልፍ ቦታ ያዢውን ከዳሽቦርድዎ በመጣ ቁልፍ ይተኩ።
curl -X POST https://api.zinndigital.com/v1/agency/time/rates \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ "scope": <string<task, project, client, org>>, "amount_minor": <integer>, "currency": <string>, "effective_from": <string> }'ገብተዋል? የመቆጣጠሪያ ማዕከልዎ ውስጥ ያለው የኤፒአይ ኮንሶል ትክክለኛውን የድርጅት መታወቂያዎን እና የራስዎን ቁልፍ ይሞላል፣ እና ትክክለኛውን ምላሽ ማየት እንዲችሉ ጥያቄውን በቀጥታ ከሚሰራው ኤፒአይ ጋር ያካሂደዋል። ይህን ኤንድፖይንት በAPI ኮንሶል ውስጥ ይክፈቱ
ዝርዝሮች
`amount_minor` is the price of ONE HOUR for `kind: hourly`, and the price of the whole job for `kind: fixed`. ⛔ A fixed price is billed **once** for the task it is set on, however many hours are logged against it — the minutes are still recorded and reported, they simply do not each carry money. It is not "an hourly rate of zero".
የጥያቄ አካል
| ስም | ዓይነት | የሚያስፈልግ | ምንነቱ |
|---|---|---|---|
scope | string<task, project, client, org> | አዎ | — |
scope_id | string | አይ | — |
kind | string<hourly, fixed> | አይ | — |
amount_minor | integer | አዎ | — |
currency | string | አዎ | — |
effective_from | string | አዎ | — |
org_id | string | አይ | — |
ምላሽ
| ስም | ዓይነት | የሚያስፈልግ | ምንነቱ |
|---|---|---|---|
id | string | አዎ | — |
scope | string<task, project, client, org> | አዎ | — |
scope_id | string | አይ | The task/project/client this applies to. `null` exactly when scope is `org`. |
kind | string<hourly, fixed> | አዎ | — |
amount_minor | integer | አዎ | Minor units. For `hourly`, the price of ONE HOUR — ⛔ never a price per minute, and never divided by 60 anywhere on this API. |
currency | string | አዎ | — |
effective_from | string | አዎ | Applies to work done on or after this date. Resolution is against the **work's** date, never today, so a rate rise does not re-price last month. |
archived | boolean | አዎ | — |
ይህ ማብቂያ ሊመልሳቸው የሚችሉ ስህተቶች
401 · 403 · 422